﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Numerics;

namespace net.nehmer.sa.model;

public class StarsDatabase(string DbPath) : DbContext
{
    #region Configuration and Construction

    public string DbPath { get; } = DbPath;

    /// <summary>
    /// Configure for SQLite and set the DB Path given.
    /// </summary>
    /// <param name="options">Options to update</param>
    protected override void OnConfiguring(DbContextOptionsBuilder options)
        => options.UseSqlite($"Data Source={DbPath}");

    #endregion

    #region Entities

    /// <summary>
    /// List of all Planets read.
    /// </summary>
    public DbSet<Planet> Planets { get; set; }

    #endregion
}